 /*
MSc IT DBIS Courseware
Monica Farrow

This class holds details for one parameterised query
*/

import java.sql.*;

class OneParamQuery
{
	private PreparedStatement pstmt;  //for the param query
   private PreparedStatement ppstmt;  //for the possible params query
	private String query;  	//param query
	private String title;	//user chooses by title
	private String label;	//prompt for user to choose parameter
	private String pQuery;	//query to get all possible parameters
	
	public OneParamQuery (String q, String t, 
							String l, String p)
	{
		query = q;
		title = t;
		label = l;
		pQuery = p;
	}
	
	public void setPrepStatement(Connection con) throws SQLException
	{
			pstmt = con.prepareStatement(query);
         ppstmt = con.prepareStatement(pQuery);
	}
	
	public PreparedStatement getPrepStatement()
	{
		return pstmt;
	}
   
   public PreparedStatement getPossPrepStatement()
   {
      return ppstmt;
   }
	
	public String getTitle()
	{
		return title;
	}
	
	public String getLabel()
	{
		return label;
	}
	
	public String getQuery()
	{
		return query;
	}
	
	public String getPossParamsQuery()
	{
		return pQuery;
	}
	
}
	
	